﻿using System.Collections.Concurrent;
using Ozeki.VoIP;
using System.Collections.Generic;

namespace DTMF_IVR.Model.IVRMenuElements
{
    /// <summary>
    /// TODO
    /// </summary>
    internal class EndElement : BaseIVRMenuElement
    {
        public EndElement(Dictionary<IPhoneCall, CallSoundEngine> soundEngines)
            : base(soundEngines)
        {
        }

        public override void EngineStop()
        {
        }

        /// <summary>
        /// Activation of the engine.
        /// </summary>
        /// <param name="phoneCall"></param>
        public override void EngineExecute(IPhoneCall phoneCall)
        {
            phoneCall.HangUp();
            IVREngine.OnEngineEvent("SoftPhone", phoneCall.DialInfo.UserName, "call end");
        }

        #region Cloning

        public override object Clone()
        {
            return new EndElement(ItsSoundEngines);
        }

        #endregion
    }
}